/**
 * ==============================
 * Your Javascript Code Goes Here
 * ==============================
 **/
"use strict";

$.notify.addStyle('getItem', {
	html: "<div><span data-notify-html></span></div>",
	classes: {
		base: {
			"color": "#3A87AD",
			"background-color": "#D9EDF7",
			"border-color": "#BCE8F1",
			"font-size": "1rem",
			"padding": "8px 15px 8px 14px",
			"border-radius": "4px",
			"white-space": "nowrap",
		}
	}
});

// load inventory
function getItem(itemKey) {
	if (storage.inventory[itemKey] == 1) return true;
	//
	storage.inventory[itemKey] = 1;
	reloadInventory();

	// notification?
	$.notify(`You got an item: <img class="icon" src="img/ui/${items[itemKey].icon}.png" /> <b>${items[itemKey].name}</b>.`, { style: "getItem" });
	//
	return true;
}

function reloadInventory() {
	// refresh, remove everything
	const slots = $("[data-ui='inventory-slots']");
	slots.html("");
	Object.keys(storage.inventory).forEach(itemKey => {
		slots.append(`
		<figure data-item="${itemKey}" class="item col xs12 m6 l6 xl6 unselectable">
		<img src="img/ui/${items[itemKey].icon}.png" alt="${items[itemKey].name}">
		<figcaption>${items[itemKey].name}</figcaption>
		</figure>`);
	});
}


var tilt;
$(function () {
	$("body").on("click", "[data-ui='inventory-slots'] .item", function () {
		let itemKey = $(this).attr("data-item");
		Swal.fire({
			title: items[itemKey].name,
			text: items[itemKey].desc,
			imageUrl: `img/ui/${items[itemKey].icon}.png`,
			imageAlt: items[itemKey].name,
		});
	});
});


function my_showMainMenu() {
	$("[data-menu='main']").show(400, "swing", function () {
		tilt = $('.main-menu-bg').tilt({
			maxTilt: .8,
			glare: true,
			maxGlare: .3,
			transition: false
		});
	});
}